Class | Rinda::DRbObjectTemplate
In: | rinda/rinda.rb
Parent: | Object

Documentation?

### Methods

=== new

### Public Class methods

new(uri=nil, ref=nil)

Creates a new DRbObjectTemplate that will match against `uri` and `ref`.

[Source]

    # File rinda/rinda.rb, line 183
        def initialize(uri=nil, ref=nil)
          @drb_uri = uri
          @drb_ref = ref
        end

### Public Instance methods

===(ro)

This DRbObjectTemplate matches `ro` if the remote object’s drburi and drbref are the same. `nil` is used as a wildcard.

[Source]

    # File rinda/rinda.rb, line 192
        def ===(ro)
          return true if super(ro)
          unless @drb_uri.nil?
            return false unless (@drb_uri === ro.__drburi rescue false)
          end
          unless @drb_ref.nil?
            return false unless (@drb_ref === ro.__drbref rescue false)
          end
          true
        end

[Validate]